<template>
  <!-- Tous les components Vue se séparent en ces trois parties
Le template où on mettra le html du component en question, celui ci
  ne pas avoir qu'un seul élément racine-->
  <div id="app">
    <header>
      <navigation-vue title="Header" :links="links"></navigation-vue>
    </header>
    <!-- Si on a mis un component dans la liste des components du
    component actuel, on peut le charger en l'utilisant comme une
    balies html classique-->
    <!-- <ListVue></ListVue> -->

    <!-- <list-vue></list-vue> -->

    <band-list-vue></band-list-vue>
    <!-- <footer>
      <navigation-vue title="Footer" :links="links2"></navigation-vue>
    </footer> -->
  </div>
</template>

<script>
/**
La partie script contient la partie "contrôleur" du component, dans 
lequel on va indiquer les variables et méthodes accessibles à la vue
 */
import ListVue from "./components/List.vue";
import NavigationVue from "./components/Navigation.vue";
import BandListVue from "./components/BandList.vue";

export default {
  name: "app",
  //La liste des components utilisées et utilisable par celui ci
  components: {
    ListVue,
    NavigationVue,
    BandListVue
  },
  data() {
    return {
      links: [
        { label: "Simplon lyon", url: "https://www.simplonlyon.fr" },
        { label: "Développez le site", url: "https://www.developpez.com" }
      ],
      // links2: [
      //   { label: "Twitter", url: "https://www.twitter.fr" },
      //   { label: "Facebook", url: "https://www.facebook.com" }
      // ]
    };
  }
};
</script>

<style>
/* Et la partie style qui contiendra le css du component en question
Si on met le style en scoped, alors le css du component ne sera appliqué
que pour le component actuel  */
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
